<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:c="http://java.sun.com/jstl/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: -->
    <!--    <ui:param name="resultGui" value="#{validationResultBeanGui}"/>-->
    <!--
    <c:forEach items="#{extensionGuiManager.extensions}" var="extensionClass">
            <ui:decorate template="/common/_extensionTab.xhtml">
                <ui:param name="gui" value="#{extensionGuiManager.getExtensionGui(extensionClass)}"/>
                <ui:param name="validation" value="#{validation}"/>
            </ui:decorate>
    </c:forEach>
    -->
    <ui:decorate template="/common/_extensionTab.xhtml">
        <ui:param name="gui" value="#{scorecardExtensionGui}"/>
        <ui:param name="validation" value="#{resultGui.selectedObject}"/>
        <ui:define name="polling">
            <a4j:region>
                <a4j:poll id="#{scorecardExtensionGui.reporter.id}poll" interval="5000"
                          actionListener="#{scorecardExtensionGui.pollExtensionStatus(resultGui.selectedObject)}"
                          enabled="#{scorecardExtensionGui.pollExtension}"
                          render="#{scorecardExtensionGui.reporter.id}TabContent"/>
            </a4j:region>
        </ui:define>
    </ui:decorate>

    <ui:decorate template="/common/_extensionTab.xhtml">
        <ui:param name="gui" value="#{dsigExtensionGui}"/>
        <ui:param name="validation" value="#{resultGui.selectedObject}"/>
        <ui:define name="polling">
            <a4j:region>
                <a4j:poll id="#{dsigExtensionGui.reporter.id}poll" interval="5000"
                          actionListener="#{dsigExtensionGui.pollExtensionStatus(resultGui.selectedObject)}"
                          enabled="#{dsigExtensionGui.pollExtension}"
                          render="#{dsigExtensionGui.reporter.id}TabContent,extensionsInfoPanel"/>
            </a4j:region>
        </ui:define>
    </ui:decorate>


</ui:composition>